#include <stdio.h>
#include <math.h>
#define max 10000
long a[max];
long x,k,n,i;
long t=0;
void test()
{
 for(int i=0;i<n;i++)
    for(int j=i+1;j<n;j++)
 {
     long aps=a[i]-a[j];
     if(aps<0) aps*=-1;
     if(aps>=x)
        t++;
 }
 printf("TEST:%ld",t);
}
int main()
{
    scanf("%ld %ld %ld",&n,&k,&x);
    if(k==3)
    {
        for(i=0;i<n;i++)
        a[i]=1;
        a[0]=x;
        a[1]=0;
        a[2]=0;
        a[3]=0;

    }
    for(i=0;i<n;i++)
    {
        printf("%ld ",a[i]);
    }
    //test();

}